Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455306 - Science screensaver does not use the desktop as a background
Summary: Science screensaver does not use the desktop as a background
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeartwork
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 19:11 UTC by Philip Ashmore
Modified: 2008-09-04 02:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-04 02:54:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 170348 None None None Never

Description Philip Ashmore 2008-07-14 19:11:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
I'm in KDE 4.
I choose the science screen saver.
I see a preview on the little monitor in the dialog.
the preview seems to start out all grey and as the whirl goes around, the desktop shows through.
If I move the preview monitor off-screen and back, it's all grey and the whirl continues showing the desktop in it's trail.
I click on the "test" button.
The same thing happens.
I click the ok button and lock the screen.
Same thing.

Version-Release number of selected component (if applicable):
kdeartwork-4.0.5-2.fc9

How reproducible:
Always


Steps to Reproduce:
1. Choose the science screensaver
2. Make sure the "hide background" check box isn't checked.

Actual Results:
Initially the display is all grey.
The whirl shows the desktop in it's trail.

Expected Results:
The desktop should be displayed with the whirl distorting it.

Additional info:

Comment 1 Steven M. Parrish 2008-07-17 18:36:43 UTC
I was able to reproduce this on my F9 system.  I also checked upstream and could
find no matching bug.  Please file a report at http://bugs.kde.org and then add
upstream info to this report.  We will monitor upstream for resolution.

Comment 2 Philip Ashmore 2008-09-03 22:46:06 UTC
Reported
http://bugs.kde.org/show_bug.cgi?id=170348

Comment 3 Rex Dieter 2008-09-04 02:54:53 UTC
thanks, we'll continue to track this upstream.


Note You need to log in before you can comment on or make changes to this bug.